# ProjectionPickerViewModel

#### new Cesium.ProjectionPickerViewModel(scene)
widgets/Source/ProjectionPicker/ProjectionPickerViewModel.js 19

The view model for `ProjectionPicker`.

Name | Type | Description
--- | --- | ---
`scene` | Scene | The Scene to switch projections.

### Members

#### dropDownVisible : boolean
widgets/Source/ProjectionPicker/ProjectionPickerViewModel.js 35

Gets or sets whether the button drop-down is currently visible. This property is observable.

Default Value: `false`

#### isOrthographicProjection : Command
widgets/Source/ProjectionPicker/ProjectionPickerViewModel.js 182

Gets whether the scene is currently using an orthographic projection.

#### scene : Scene
widgets/Source/ProjectionPicker/ProjectionPickerViewModel.js 134

Gets the scene

#### sceneMode : SceneMode
widgets/Source/ProjectionPicker/ProjectionPickerViewModel.js 61

Gets or sets the current SceneMode. This property is observable.

#### selectedTooltip : string
widgets/Source/ProjectionPicker/ProjectionPickerViewModel.js 55

Gets the currently active tooltip. This property is observable.

#### switchToOrthographic : Command
widgets/Source/ProjectionPicker/ProjectionPickerViewModel.js 170

Gets the command to switch to orthographic projection.

#### switchToPerspective : Command
widgets/Source/ProjectionPicker/ProjectionPickerViewModel.js 158

Gets the command to switch to a perspective projection.

#### toggleDropDown : Command
widgets/Source/ProjectionPicker/ProjectionPickerViewModel.js 146

Gets the command to toggle the drop down box.

#### tooltipOrthographic : string
widgets/Source/ProjectionPicker/ProjectionPickerViewModel.js 49

Gets or sets the orthographic projection tooltip. This property is observable.

Default Value: `'Orthographic Projection'`

#### tooltipPerspective : string
widgets/Source/ProjectionPicker/ProjectionPickerViewModel.js 42

Gets or sets the perspective projection tooltip. This property is observable.

Default Value: `'Perspective Projection'`

### Methods

#### destroy()
widgets/Source/ProjectionPicker/ProjectionPickerViewModel.js 199

Destroys the view model.

#### isDestroyed() → boolean
widgets/Source/ProjectionPicker/ProjectionPickerViewModel.js 192

##### Returns:

true if the object has been destroyed, false otherwise.

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.